Subject: Alignment Error in TCEforms with Palette title --palette--;myTitle
Description

When I add a palette to the showview-item in TCA, that has a 'Alternative Fieldlabel', then it will not be rendered like the field-title of
normal fields.

Example (see attached screenshot):
$TCA[] = array ( ... "types" => array (
   "0" => array("showitem" => 'title;;30;;1-1-1, --palette--;Released;31;;1-1-1, '
...

The item 'Released' ist not aligned with the item 'Title'.

I already found out, that in 
  function setNewBEDesign() of class.t3lib_tceforms.php,  $
this->palFieldTemplateHeade differs from $this->fieldTemplate.

It seems to be the difference between
  <td>###FIELD_HELP_ICON###</td>
and
  <td><!-- --></td>
But simply adopting this parts doesn't solve the problem - it looks better (is indented now) but still not correct.

(issue imported from #M10779)

Related issues:
related to Core - Bug # 23792: After #23766: Different paddings in tt_content Closed 2010-10-19

History
#1 - 2009-03-26 09:38 - Stefan Geith

IF I change
     --palette--;Released;31;;1-1-1,
to
     --palette--;Released;31,

Then the alignment is OK.

If the following field in the filedlist doesn't have a form style-code (1-1-1), the it is also rendered OK.

This error only occurs, if the palette and the next field both have a Form-style-code (e.g. ;;;;1-1-1).
#2 - 2009-11-19 22:48 - Christian Kuhn

As far as I can see the palette labels are not rendered anymore in current trunk:

field, --palette--;foo;1;;1-1-1
-> "foo" does not appear for me.

This is only true if "Show secondary options (palettes)" is enabled: If disabled, the header line is drawn and the palette content appears on click.

#3 - 2009-11-20 08:32 - Stefan Geith

Ever since I use this feature, the title of the palette is only displayed, if the palette has
   'canNotCollapse'=>1

This could be discussed, if it makes sense ... I think, a palette defined with --palette-- is (must be) always visible - meaning: canNotCollapse' = 1

Sidenote:
At the moment (4.3 RC1), the normal headers a rendered with [b]-tags and palette-headers are rendered with [strong]-tags. So they look different ...

#4 - 2010-07-27 10:57 - Stefan Geith

This Error is still in 4.4 and 4.5-trunk

If I Change in class.t3lib_tceforms.php in function setNewBEDesign() from:
        $this->palFieldTemplateHeader='
            <tr ###BGCOLOR_HEAD######CLASSATTR_2###>
                <td><!-- --></td>
                <td nowrap="nowrap" valign="top"><strong>###FIELD_HEADER###</strong></td>
            </tr>';
to:
        $this->palFieldTemplateHeader='
            <tr ###BGCOLOR_HEAD######CLASSATTR_2###>
                <td width="29"><!-- --></td>
                <td nowrap="nowrap" valign="top"><strong>###FIELD_HEADER###</strong></td>
            </tr>';
then all looks good.

The Problem is, that a single rendered palette is rendered as a single table and the first column doesnt have the placeholders for
"t3-TCEforms-reqImg" and "t3-TCEforms-contentchangedImg".

So either there should be a dummy image in the first column or the column width should be set by some css.

#5 - 2010-10-28 09:16 - Stefan Geith

This alignment error is still present in Version 4.5, Rev. 9216.
See attached screenshot 'PaletteAlign-Error-Rev9216.gif'.

How to test:Use type- and palette-settings like these:
01:
'types'  ...  array('showitem'=>'... title;;1;;1-1-1, text;;;;1-1-1, ...')
'palettes' .. '1' => array('showitem' => 'impressum'),

02:
'types'  ...  array('showitem'=>'... title, --palette--;;1,        text;;;;1-1-1, ...')
'palettes' .. '1' => array('showitem' => 'impressum'),

03:
'types'  ...  array('showitem'=>'... title, --palette--;;1;;1-1-1, text;;;;1-1-1, ...')
'palettes' .. '1' => array('showitem' => 'impressum'),

#6 - 2011-01-15 12:00 - Jo Hasenau

Is this still valid in current trunk?

#7 - 2011-01-17 09:12 - Stefan Geith

The Problem seems to be solved in Trunk Rev 10092 - see attached screenshot PaletteAlign-Error-Rev10092.gif

#8 - 2012-02-07 09:18 - Xavier Perseguers
- Assigned To deleted (Steffen Kamper)
- Target version deleted (0)

#9 - 2013-05-08 14:01 - Alexander Opitz
- Status changed from Accepted to Closed

Closing as commented.
